using C4IT.FASD.Base;
using C4IT.Logging;
using FasdDesktopUi.Basics.Models;
using FasdDesktopUi.Basics.UserControls;
using FasdDesktopUi.Pages.DetailsPage;
using FasdDesktopUi.Pages.DetailsPage.UserControls;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

using static C4IT.Logging.cLogManager;

namespace FasdDesktopUi.Basics.UiActions
{
    public class cShowHeadingSelectionMenuAction : cUiActionBase
    {
        public override async Task<bool> RunUiActionAsync(object sender, UIElement UiLocation, bool isDetailedLayout, cSupportCaseDataProvider dataProvider)
        {
            try
            {
                if (!(UiLocation is DetailsPageView detailsPage))
                    return false;

                detailsPage.IsBlurred = true;
                Panel.SetZIndex(detailsPage.NavigationHeadingUc, 4);
                detailsPage.NavigationHeadingUc.ClearValue(DetailsPageView.EffectProperty);

                return true;
            }
            catch (Exception E)
            {
                LogException(E);
            }
            finally
            {
            }

            await Task.CompletedTask;

            return false;
        }
    }
}
